Get funnel results
curl --request GET \
--url https://api.engagefabric.com/api/v1/analytics/funnels/{id}import requests
url = "https://api.engagefabric.com/api/v1/analytics/funnels/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.engagefabric.com/api/v1/analytics/funnels/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"funnelId": "<string>",
"name": "<string>",
"periodStart": "<string>",
"periodEnd": "<string>",
"totalEntries": 123,
"totalCompletions": 123,
"overallConversionRate": 123,
"steps": [
{
"name": "<string>",
"eventType": "<string>",
"count": 123,
"conversionRate": 123,
"overallConversionRate": 123,
"dropOff": 123
}
],
"description": "<string>"
}Analytics
Get funnel results
Returns conversion analysis for a specific funnel.
GET
/
api
/
v1
/
analytics
/
funnels
/
{id}
Get funnel results
Path Parameters
Funnel ID
Response
200 - application/json
Funnel analysis results
Funnel ID
Funnel name
Analysis period start date (ISO 8601)
Analysis period end date (ISO 8601)
Total users who entered the funnel
Total users who completed all steps
Overall funnel conversion rate (percentage)
Results for each funnel step
Show child attributes
Show child attributes
Funnel description
